import { PayStatus, gameClassifyEnum } from "@/components/QueryForm/const"
import WidthEllipsis from "@/components/widthEllipsis"
import { Statistic } from "antd"
import React from "react"


function columns12(): { label: string, fieldSHow?: { label: string, saveField: string, defaultValue: any[], data: any[] }, data: any[] }[] {

    return [
        {
            label: '账户信息',
            data: [
                {
                    title: '推广账号名称', dataIndex: 'accountName', label: '账户信息', align: 'center', width: 85, default: 1,
                    render: (a: string, b: any) => (<WidthEllipsis value={b?.day} />)
                },
                {
                    title: '推广账号ID', dataIndex: 'accountId', label: '账户信息', align: 'center', width: 120, default: 2,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '备注', dataIndex: 'notes', label: '账户信息', align: 'center', width: 130, default: 3,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投手', dataIndex: 'pitcherName', label: '账户信息', align: 'center', width: 85, default: 4,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { title: '投放渠道', dataIndex: 'agentName', label: '账户信息', align: 'center', width: 65, default: 5 },
                {
                    title: '服务商', dataIndex: 'service', label: '账户信息', align: 'center', width: 95, default: 6,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投放媒体', dataIndex: 'accountType', label: '账户信息', align: 'center', width: 135, default: 7,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '余额', dataIndex: 'balance', label: '账户信息', align: 'center', width: 70, default: 8,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        },
        {
            label: '推广内容',
            data: [
                {
                    title: '推广游戏名称', dataIndex: 'gameName', label: '推广内容', align: 'center', width: 70, default: 9,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '推广游戏应用类型', dataIndex: 'classify', label: '推广内容', align: 'center', width: 95, default: 10,
                    render: (a: string) => (<span>{gameClassifyEnum[a]}</span>)
                }
            ]
        },
        {
            label: '广告信息',
            data: [
                {
                    title: '推广广告名称', dataIndex: 'promotionName', label: '广告信息', align: 'center', width: 80, default: 11,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '广告ID', dataIndex: 'promotionId', label: '广告信息', align: 'center', width: 65, default: 12,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '推广计划名称', dataIndex: 'projectName', label: '广告信息', align: 'center', width: 70, default: 13,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '计划ID', dataIndex: 'projectId', label: '广告信息', align: 'center', width: 80, default: 14,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '广告状态', dataIndex: 'status', label: '广告信息', align: 'center', width: 85, default: 15,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '推广目标', dataIndex: 'landingType', label: '广告信息', align: 'center', width: 80, default: 16,
                    render: (a: any) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '出价方式', dataIndex: 'pricing', label: '广告信息', align: 'center', width: 80, default: 17,
                    render: (a: any) => <Statistic value={a || 0} precision={2} />
                },
                {
                    title: '当前出价', dataIndex: 'cpaBid', label: '广告信息', align: 'center', width: 95, default: 18,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '深度转化ROI系数', dataIndex: 'roiGoal', label: '广告信息', align: 'center', width: 65, default: 19,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '日预算', dataIndex: 'budget', label: '广告信息', align: 'center', width: 95, default: 20,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '投放时间', dataIndex: 'scheduleTime', label: '广告信息', align: 'center', width: 95, default: 21,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        },
        {
            label: '消耗',
            data: [
                { title: '今日消耗', dataIndex: 'todayCost', label: '消耗', align: 'center', width: 85, default: 22 },
                {
                    title: '总消耗', dataIndex: 'promotionTotalCost', label: '消耗', align: 'center', width: 85, default: 23,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                }
            ]
        },
        {
            label: '曝光数据',
            data: [
                {
                    title: '曝光量', dataIndex: 'showCount', label: '曝光数据', align: 'center', width: 50, default: 24,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '千次曝光成本', dataIndex: 'thousandDisplayPrice', label: '曝光数据', align: 'center', width: 45, default: 25,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '点击量', dataIndex: 'clickCount', label: '曝光数据', align: 'center', width: 65, default: 26,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '点击均价', dataIndex: 'avgClickCost', label: '曝光数据', align: 'center', width: 45, default: 27,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '点击率', dataIndex: 'ctr', label: '曝光数据', align: 'center', width: 135, default: 28,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '转化目标', dataIndex: 'convertTarget', label: '曝光数据', align: 'center', width: 135, default: 29,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '转化目标量', dataIndex: 'convertCount', label: '曝光数据', align: 'center', width: 85, default: 30,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                {
                    title: '转化目标成本', dataIndex: 'convertCost', label: '曝光数据', align: 'center', width: 45, default: 31,
                    render: (a: string, b: any) => (<WidthEllipsis value={a} />)
                },
                { title: '目标转化率', dataIndex: 'convertRate', label: '曝光数据', align: 'center', width: 85 },
            ]
        },
        {
            label: '用户数据',
            data: [
                { title: '新增用户数', dataIndex: 'regNum', label: '用户数据', align: 'center', width: 85 },
                { title: '总注册人数', dataIndex: 'regTotalNum', label: '用户数据', align: 'center', width: 85 },
                { title: '首日创角人数', dataIndex: 'firstRoleNum', label: '用户数据', align: 'center', width: 85 },
                { title: '新用户累计创角人数', dataIndex: 'newUserTotalRoleNum', label: '用户数据', align: 'center', width: 85 },
                { title: '总创角人数', dataIndex: 'roleTotalNum', label: '用户数据', align: 'center', width: 85 },
                { title: '注册成本', dataIndex: 'regCost', label: '用户数据', align: 'center', width: 85 },
                { title: '总注册成本', dataIndex: 'regTotalCost', label: '用户数据', align: 'center', width: 85 },
                { title: '首日创角成本', dataIndex: 'firstRoleCost', label: '用户数据', align: 'center', width: 85 },
                { title: '新用户创角成本', dataIndex: 'newUserTotalRoleCost', label: '用户数据', align: 'center', width: 85 },
                { title: '总创角成本', dataIndex: 'roleTotalCost', label: '用户数据', align: 'center', width: 85 },
                { title: '首日创角率', dataIndex: 'firstRoleRate', label: '用户数据', align: 'center', width: 85 },
                { title: '新用户创角率', dataIndex: 'newUserTotalRoleRate', label: '用户数据', align: 'center', width: 85 },
                { title: '总创角率', dataIndex: 'roleTotalRate', label: '用户数据', align: 'center', width: 85 },
            ]
        },
        {
            label: '付费数据',
            data: [
                { title: '新增付费次数', dataIndex: 'firstNewUserAmountCount', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费人数', dataIndex: 'firstNewUserAmountNum', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费金额', dataIndex: 'firstNewUserAmount', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费次数', dataIndex: 'newUserTotalAmountCount', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费人数', dataIndex: 'newUserTotalAmountNum', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费金额', dataIndex: 'newUserTotalAmount', label: '付费数据', align: 'center', width: 85 },
                { title: '总充值次数', dataIndex: 'totalAmountCount', label: '付费数据', align: 'center', width: 85 },
                { title: '总充值人数', dataIndex: 'totalAmountNum', label: '付费数据', align: 'center', width: 85 },
                { title: '总充值金额', dataIndex: 'totalAmount', label: '付费数据', align: 'center', width: 85 },
                { title: '首日ROI', dataIndex: 'firstRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '24小时ROI', dataIndex: 'twentyFourHoursRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '总ROI', dataIndex: 'totalRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '广告总ROI', dataIndex: 'promotionTotalRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '次日ROI', dataIndex: 'b14', label: '付费数据', align: 'center', width: 85 },
                { title: '3日ROI', dataIndex: 'b15', label: '付费数据', align: 'center', width: 85 },
                { title: '7日ROI', dataIndex: 'b16', label: '付费数据', align: 'center', width: 85 },
                { title: '15日ROI', dataIndex: 'b17', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费成本', dataIndex: 'firstNewUserRechargeCost', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费成本', dataIndex: 'newUserTotalRechargeCost', label: '付费数据', align: 'center', width: 85 },
                { title: '总付费成本', dataIndex: 'totalRechargeCost', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费ARPPU', dataIndex: 'firstNewUserArppu', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费ARPPU', dataIndex: 'newUserTotalAmountArppu', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费100+用户数', dataIndex: 'firstNewUserHundredUserNum', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费100+用户付费成本', dataIndex: 'firstNewUserHundredUserCost', label: '付费数据', align: 'center', width: 85 },
                { title: '首充50~100元用户数', dataIndex: 'firstRechargeFiftyHundredNum', label: '付费数据', align: 'center', width: 85 },
                { title: '首充50~100元占比', dataIndex: 'firstRechargeFiftyHundredRate', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费200+人数', dataIndex: 'firstNewUserTwoHundredUserNum', label: '付费数据', align: 'center', width: 85 },
                { title: '新增付费200+用户付费成本', dataIndex: 'firstNewUserTwoHundredUserCost', label: '付费数据', align: 'center', width: 85 },
                { title: '至今付费100+用户数', dataIndex: 'newUserTotalHundredUserNum', label: '付费数据', align: 'center', width: 85 },
                { title: '首日IOS付费人数占比', dataIndex: 'firstIosAmountNumRate', label: '付费数据', align: 'center', width: 85 },
                { title: '首日IOS付费金额占比', dataIndex: 'firstIosAmountRate', label: '付费数据', align: 'center', width: 85 },
                { title: '首日IOS付费ROI', dataIndex: 'firstIosAmountRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '首日Android付费ROI', dataIndex: 'firstAndroidAmountRoi', label: '付费数据', align: 'center', width: 85 },
                { title: '首日付费率', dataIndex: 'firstAmountRate', label: '付费数据', align: 'center', width: 85 },
                // { title: '活跃用户付费率', dataIndex: 'b35', label: '付费数据', align: 'center', width: 85 },
                { title: '新增客单价', dataIndex: 'firstNewUserAvgPrice', label: '付费数据', align: 'center', width: 85 },
                { title: '至今客单价', dataIndex: 'newUserTotalAvgPrice', label: '付费数据', align: 'center', width: 85 },
                { title: '账面客单价', dataIndex: 'b38', label: '付费数据', align: 'center', width: 85 },
            ]
        }
    ]
}

export default columns12